Index: src/gtk/RcStyle.d
===================================================================
--- src/gtk/RcStyle.d	(revision 843)
+++ src/gtk/RcStyle.d	(working copy)
@@ -560,7 +560,7 @@
 		this.gtkRcStyle = gtkRcStyle;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRcStyle = cast(GtkRcStyle*)obj;
Index: src/gtk/ItemFactory.d
===================================================================
--- src/gtk/ItemFactory.d	(revision 843)
+++ src/gtk/ItemFactory.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkItemFactory = gtkItemFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkItemFactory = cast(GtkItemFactory*)obj;
Index: src/gtk/Paned.d
===================================================================
--- src/gtk/Paned.d	(revision 843)
+++ src/gtk/Paned.d	(working copy)
@@ -170,7 +170,7 @@
 		this.gtkPaned = gtkPaned;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPaned = cast(GtkPaned*)obj;
Index: src/gtk/RecentChooserMenu.d
===================================================================
--- src/gtk/RecentChooserMenu.d	(revision 843)
+++ src/gtk/RecentChooserMenu.d	(working copy)
@@ -138,7 +138,7 @@
 		this.gtkRecentChooserMenu = gtkRecentChooserMenu;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRecentChooserMenu = cast(GtkRecentChooserMenu*)obj;
Index: src/gtk/TreeModelSort.d
===================================================================
--- src/gtk/TreeModelSort.d	(revision 843)
+++ src/gtk/TreeModelSort.d	(working copy)
@@ -264,7 +264,7 @@
 		this.gtkTreeModelSort = gtkTreeModelSort;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTreeModelSort = cast(GtkTreeModelSort*)obj;
Index: src/gtk/Arrow.d
===================================================================
--- src/gtk/Arrow.d	(revision 843)
+++ src/gtk/Arrow.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkArrow = gtkArrow;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkArrow = cast(GtkArrow*)obj;
Index: src/gtk/AspectFrame.d
===================================================================
--- src/gtk/AspectFrame.d	(revision 843)
+++ src/gtk/AspectFrame.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gtkAspectFrame = gtkAspectFrame;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAspectFrame = cast(GtkAspectFrame*)obj;
Index: src/gtk/ScrolledWindow.d
===================================================================
--- src/gtk/ScrolledWindow.d	(revision 843)
+++ src/gtk/ScrolledWindow.d	(working copy)
@@ -146,7 +146,7 @@
 		this.gtkScrolledWindow = gtkScrolledWindow;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkScrolledWindow = cast(GtkScrolledWindow*)obj;
Index: src/gtk/CellRendererSpin.d
===================================================================
--- src/gtk/CellRendererSpin.d	(revision 843)
+++ src/gtk/CellRendererSpin.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkCellRendererSpin = gtkCellRendererSpin;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererSpin = cast(GtkCellRendererSpin*)obj;
Index: src/gtk/SpinButton.d
===================================================================
--- src/gtk/SpinButton.d	(revision 843)
+++ src/gtk/SpinButton.d	(working copy)
@@ -194,7 +194,7 @@
 		this.gtkSpinButton = gtkSpinButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSpinButton = cast(GtkSpinButton*)obj;
Index: src/gtk/CellRendererSpinner.d
===================================================================
--- src/gtk/CellRendererSpinner.d	(revision 843)
+++ src/gtk/CellRendererSpinner.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkCellRendererSpinner = gtkCellRendererSpinner;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererSpinner = cast(GtkCellRendererSpinner*)obj;
Index: src/gtk/Window.d
===================================================================
--- src/gtk/Window.d	(revision 843)
+++ src/gtk/Window.d	(working copy)
@@ -153,7 +153,7 @@
 		this.gtkWindow = gtkWindow;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkWindow = cast(GtkWindow*)obj;
Index: src/gtk/HSeparator.d
===================================================================
--- src/gtk/HSeparator.d	(revision 843)
+++ src/gtk/HSeparator.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkHSeparator = gtkHSeparator;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHSeparator = cast(GtkHSeparator*)obj;
Index: src/gtk/VButtonBox.d
===================================================================
--- src/gtk/VButtonBox.d	(revision 843)
+++ src/gtk/VButtonBox.d	(working copy)
@@ -120,7 +120,7 @@
 		this.gtkVButtonBox = gtkVButtonBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVButtonBox = cast(GtkVButtonBox*)obj;
Index: src/gtk/TreeStore.d
===================================================================
--- src/gtk/TreeStore.d	(revision 843)
+++ src/gtk/TreeStore.d	(working copy)
@@ -166,7 +166,7 @@
 		this.gtkTreeStore = gtkTreeStore;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTreeStore = cast(GtkTreeStore*)obj;
Index: src/gtk/PageSetupUnixDialog.d
===================================================================
--- src/gtk/PageSetupUnixDialog.d	(revision 843)
+++ src/gtk/PageSetupUnixDialog.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gtkPageSetupUnixDialog = gtkPageSetupUnixDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPageSetupUnixDialog = cast(GtkPageSetupUnixDialog*)obj;
Index: src/gtk/Container.d
===================================================================
--- src/gtk/Container.d	(revision 843)
+++ src/gtk/Container.d	(working copy)
@@ -219,7 +219,7 @@
 		this.gtkContainer = gtkContainer;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkContainer = cast(GtkContainer*)obj;
Index: src/gtk/Printer.d
===================================================================
--- src/gtk/Printer.d	(revision 843)
+++ src/gtk/Printer.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gtkPrinter = gtkPrinter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPrinter = cast(GtkPrinter*)obj;
Index: src/gtk/MenuItem.d
===================================================================
--- src/gtk/MenuItem.d	(revision 843)
+++ src/gtk/MenuItem.d	(working copy)
@@ -144,7 +144,7 @@
 		this.gtkMenuItem = gtkMenuItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMenuItem = cast(GtkMenuItem*)obj;
Index: src/gtk/CellRendererCombo.d
===================================================================
--- src/gtk/CellRendererCombo.d	(revision 843)
+++ src/gtk/CellRendererCombo.d	(working copy)
@@ -127,7 +127,7 @@
 		this.gtkCellRendererCombo = gtkCellRendererCombo;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererCombo = cast(GtkCellRendererCombo*)obj;
Index: src/gtk/RecentFilter.d
===================================================================
--- src/gtk/RecentFilter.d	(revision 843)
+++ src/gtk/RecentFilter.d	(working copy)
@@ -122,7 +122,7 @@
 		this.gtkRecentFilter = gtkRecentFilter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRecentFilter = cast(GtkRecentFilter*)obj;
Index: src/gtk/ListStore.d
===================================================================
--- src/gtk/ListStore.d	(revision 843)
+++ src/gtk/ListStore.d	(working copy)
@@ -316,7 +316,7 @@
 		this.gtkListStore = gtkListStore;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkListStore = cast(GtkListStore*)obj;
Index: src/gtk/Socket.d
===================================================================
--- src/gtk/Socket.d	(revision 843)
+++ src/gtk/Socket.d	(working copy)
@@ -171,7 +171,7 @@
 		this.gtkSocket = gtkSocket;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSocket = cast(GtkSocket*)obj;
Index: src/gtk/MenuBar.d
===================================================================
--- src/gtk/MenuBar.d	(revision 843)
+++ src/gtk/MenuBar.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkMenuBar = gtkMenuBar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMenuBar = cast(GtkMenuBar*)obj;
Index: src/gtk/ComboBoxEntry.d
===================================================================
--- src/gtk/ComboBoxEntry.d	(revision 843)
+++ src/gtk/ComboBoxEntry.d	(working copy)
@@ -137,7 +137,7 @@
 		this.gtkComboBoxEntry = gtkComboBoxEntry;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkComboBoxEntry = cast(GtkComboBoxEntry*)obj;
Index: src/gtk/HScrollbar.d
===================================================================
--- src/gtk/HScrollbar.d	(revision 843)
+++ src/gtk/HScrollbar.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gtkHScrollbar = gtkHScrollbar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHScrollbar = cast(GtkHScrollbar*)obj;
Index: src/gtk/ToolItem.d
===================================================================
--- src/gtk/ToolItem.d	(revision 843)
+++ src/gtk/ToolItem.d	(working copy)
@@ -133,7 +133,7 @@
 		this.gtkToolItem = gtkToolItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToolItem = cast(GtkToolItem*)obj;
Index: src/gtk/HScale.d
===================================================================
--- src/gtk/HScale.d	(revision 843)
+++ src/gtk/HScale.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gtkHScale = gtkHScale;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHScale = cast(GtkHScale*)obj;
Index: src/gtk/Dialog.d
===================================================================
--- src/gtk/Dialog.d	(revision 843)
+++ src/gtk/Dialog.d	(working copy)
@@ -252,7 +252,7 @@
 		this.gtkDialog = gtkDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkDialog = cast(GtkDialog*)obj;
Index: src/gtk/Entry.d
===================================================================
--- src/gtk/Entry.d	(revision 843)
+++ src/gtk/Entry.d	(working copy)
@@ -179,7 +179,7 @@
 		this.gtkEntry = gtkEntry;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkEntry = cast(GtkEntry*)obj;
Index: src/gtk/Toolbar.d
===================================================================
--- src/gtk/Toolbar.d	(revision 843)
+++ src/gtk/Toolbar.d	(working copy)
@@ -145,7 +145,7 @@
 		this.gtkToolbar = gtkToolbar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToolbar = cast(GtkToolbar*)obj;
Index: src/gtk/CellRenderer.d
===================================================================
--- src/gtk/CellRenderer.d	(revision 843)
+++ src/gtk/CellRenderer.d	(working copy)
@@ -152,7 +152,7 @@
 		this.gtkCellRenderer = gtkCellRenderer;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRenderer = cast(GtkCellRenderer*)obj;
Index: src/gtk/CellRendererToggle.d
===================================================================
--- src/gtk/CellRendererToggle.d	(revision 843)
+++ src/gtk/CellRendererToggle.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkCellRendererToggle = gtkCellRendererToggle;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererToggle = cast(GtkCellRendererToggle*)obj;
Index: src/gtk/TreeViewColumn.d
===================================================================
--- src/gtk/TreeViewColumn.d	(revision 843)
+++ src/gtk/TreeViewColumn.d	(working copy)
@@ -146,7 +146,7 @@
 		this.gtkTreeViewColumn = gtkTreeViewColumn;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTreeViewColumn = cast(GtkTreeViewColumn*)obj;
Index: src/gtk/UIManager.d
===================================================================
--- src/gtk/UIManager.d	(revision 843)
+++ src/gtk/UIManager.d	(working copy)
@@ -357,7 +357,7 @@
 		this.gtkUIManager = gtkUIManager;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkUIManager = cast(GtkUIManager*)obj;
Index: src/gtk/CheckButton.d
===================================================================
--- src/gtk/CheckButton.d	(revision 843)
+++ src/gtk/CheckButton.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkCheckButton = gtkCheckButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCheckButton = cast(GtkCheckButton*)obj;
Index: src/gtk/ToolItemGroup.d
===================================================================
--- src/gtk/ToolItemGroup.d	(revision 843)
+++ src/gtk/ToolItemGroup.d	(working copy)
@@ -121,7 +121,7 @@
 		this.gtkToolItemGroup = gtkToolItemGroup;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToolItemGroup = cast(GtkToolItemGroup*)obj;
Index: src/gtk/ColorButton.d
===================================================================
--- src/gtk/ColorButton.d	(revision 843)
+++ src/gtk/ColorButton.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkColorButton = gtkColorButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkColorButton = cast(GtkColorButton*)obj;
Index: src/gtk/Button.d
===================================================================
--- src/gtk/Button.d	(revision 843)
+++ src/gtk/Button.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkButton = gtkButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkButton = cast(GtkButton*)obj;
Index: src/gtk/ToggleToolButton.d
===================================================================
--- src/gtk/ToggleToolButton.d	(revision 843)
+++ src/gtk/ToggleToolButton.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gtkToggleToolButton = gtkToggleToolButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToggleToolButton = cast(GtkToggleToolButton*)obj;
Index: src/gtk/Action.d
===================================================================
--- src/gtk/Action.d	(revision 843)
+++ src/gtk/Action.d	(working copy)
@@ -157,7 +157,7 @@
 		this.gtkAction = gtkAction;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAction = cast(GtkAction*)obj;
Index: src/gtk/TextView.d
===================================================================
--- src/gtk/TextView.d	(revision 843)
+++ src/gtk/TextView.d	(working copy)
@@ -143,7 +143,7 @@
 		this.gtkTextView = gtkTextView;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTextView = cast(GtkTextView*)obj;
Index: src/gtk/VRuler.d
===================================================================
--- src/gtk/VRuler.d	(revision 843)
+++ src/gtk/VRuler.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkVRuler = gtkVRuler;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVRuler = cast(GtkVRuler*)obj;
Index: src/gtk/IconFactory.d
===================================================================
--- src/gtk/IconFactory.d	(revision 843)
+++ src/gtk/IconFactory.d	(working copy)
@@ -176,7 +176,7 @@
 		this.gtkIconFactory = gtkIconFactory;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkIconFactory = cast(GtkIconFactory*)obj;
Index: src/gtk/InfoBar.d
===================================================================
--- src/gtk/InfoBar.d	(revision 843)
+++ src/gtk/InfoBar.d	(working copy)
@@ -187,7 +187,7 @@
 		this.gtkInfoBar = gtkInfoBar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkInfoBar = cast(GtkInfoBar*)obj;
Index: src/gtk/FileChooserDialog.d
===================================================================
--- src/gtk/FileChooserDialog.d	(revision 843)
+++ src/gtk/FileChooserDialog.d	(working copy)
@@ -199,7 +199,7 @@
 		this.gtkFileChooserDialog = gtkFileChooserDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFileChooserDialog = cast(GtkFileChooserDialog*)obj;
Index: src/gtk/ImageMenuItem.d
===================================================================
--- src/gtk/ImageMenuItem.d	(revision 843)
+++ src/gtk/ImageMenuItem.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkImageMenuItem = gtkImageMenuItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkImageMenuItem = cast(GtkImageMenuItem*)obj;
Index: src/gtk/TextTagTable.d
===================================================================
--- src/gtk/TextTagTable.d	(revision 843)
+++ src/gtk/TextTagTable.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkTextTagTable = gtkTextTagTable;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTextTagTable = cast(GtkTextTagTable*)obj;
Index: src/gtk/LinkButton.d
===================================================================
--- src/gtk/LinkButton.d	(revision 843)
+++ src/gtk/LinkButton.d	(working copy)
@@ -121,7 +121,7 @@
 		this.gtkLinkButton = gtkLinkButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkLinkButton = cast(GtkLinkButton*)obj;
Index: src/gtk/TreeView.d
===================================================================
--- src/gtk/TreeView.d	(revision 843)
+++ src/gtk/TreeView.d	(working copy)
@@ -201,7 +201,7 @@
 		this.gtkTreeView = gtkTreeView;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTreeView = cast(GtkTreeView*)obj;
Index: src/glade/Glade.d
===================================================================
--- src/glade/Glade.d	(revision 843)
+++ src/glade/Glade.d	(working copy)
@@ -136,7 +136,7 @@
 		this.gladeXML = gladeXML;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gladeXML = cast(GladeXML*)obj;
Index: src/gobject/TypeModule.d
===================================================================
--- src/gobject/TypeModule.d	(revision 843)
+++ src/gobject/TypeModule.d	(working copy)
@@ -137,7 +137,7 @@
 		this.gTypeModule = gTypeModule;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gTypeModule = cast(GTypeModule*)obj;
Index: src/gio/Vfs.d
===================================================================
--- src/gio/Vfs.d	(revision 843)
+++ src/gio/Vfs.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gVfs = gVfs;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gVfs = cast(GVfs*)obj;
Index: src/gio/MemoryOutputStream.d
===================================================================
--- src/gio/MemoryOutputStream.d	(revision 843)
+++ src/gio/MemoryOutputStream.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gMemoryOutputStream = gMemoryOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gMemoryOutputStream = cast(GMemoryOutputStream*)obj;
Index: src/gio/DataOutputStream.d
===================================================================
--- src/gio/DataOutputStream.d	(revision 843)
+++ src/gio/DataOutputStream.d	(working copy)
@@ -118,7 +118,7 @@
 		this.gDataOutputStream = gDataOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gDataOutputStream = cast(GDataOutputStream*)obj;
Index: src/gio/SocketConnection.d
===================================================================
--- src/gio/SocketConnection.d	(revision 843)
+++ src/gio/SocketConnection.d	(working copy)
@@ -127,7 +127,7 @@
 		this.gSocketConnection = gSocketConnection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocketConnection = cast(GSocketConnection*)obj;
Index: src/gio/SocketService.d
===================================================================
--- src/gio/SocketService.d	(revision 843)
+++ src/gio/SocketService.d	(working copy)
@@ -126,7 +126,7 @@
 		this.gSocketService = gSocketService;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocketService = cast(GSocketService*)obj;
Index: src/gio/NetworkService.d
===================================================================
--- src/gio/NetworkService.d	(revision 843)
+++ src/gio/NetworkService.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gNetworkService = gNetworkService;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gNetworkService = cast(GNetworkService*)obj;
Index: src/gio/FileEnumerator.d
===================================================================
--- src/gio/FileEnumerator.d	(revision 843)
+++ src/gio/FileEnumerator.d	(working copy)
@@ -135,7 +135,7 @@
 		this.gFileEnumerator = gFileEnumerator;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileEnumerator = cast(GFileEnumerator*)obj;
Index: src/gio/FilterOutputStream.d
===================================================================
--- src/gio/FilterOutputStream.d	(revision 843)
+++ src/gio/FilterOutputStream.d	(working copy)
@@ -107,7 +107,7 @@
 		this.gFilterOutputStream = gFilterOutputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFilterOutputStream = cast(GFilterOutputStream*)obj;
Index: src/gio/EmblemedIcon.d
===================================================================
--- src/gio/EmblemedIcon.d	(revision 843)
+++ src/gio/EmblemedIcon.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gEmblemedIcon = gEmblemedIcon;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gEmblemedIcon = cast(GEmblemedIcon*)obj;
Index: src/gio/FileMonitor.d
===================================================================
--- src/gio/FileMonitor.d	(revision 843)
+++ src/gio/FileMonitor.d	(working copy)
@@ -120,7 +120,7 @@
 		this.gFileMonitor = gFileMonitor;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileMonitor = cast(GFileMonitor*)obj;
Index: src/gio/FileIcon.d
===================================================================
--- src/gio/FileIcon.d	(revision 843)
+++ src/gio/FileIcon.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gFileIcon = gFileIcon;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileIcon = cast(GFileIcon*)obj;
Index: src/gio/SocketAddress.d
===================================================================
--- src/gio/SocketAddress.d	(revision 843)
+++ src/gio/SocketAddress.d	(working copy)
@@ -120,7 +120,7 @@
 		this.gSocketAddress = gSocketAddress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gSocketAddress = cast(GSocketAddress*)obj;
Index: src/gio/NetworkAddress.d
===================================================================
--- src/gio/NetworkAddress.d	(revision 843)
+++ src/gio/NetworkAddress.d	(working copy)
@@ -122,7 +122,7 @@
 		this.gNetworkAddress = gNetworkAddress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gNetworkAddress = cast(GNetworkAddress*)obj;
Index: src/gio/Emblem.d
===================================================================
--- src/gio/Emblem.d	(revision 843)
+++ src/gio/Emblem.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gEmblem = gEmblem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gEmblem = cast(GEmblem*)obj;
Index: src/gio/Resolver.d
===================================================================
--- src/gio/Resolver.d	(revision 843)
+++ src/gio/Resolver.d	(working copy)
@@ -129,7 +129,7 @@
 		this.gResolver = gResolver;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gResolver = cast(GResolver*)obj;
Index: src/gio/UnixFDMessage.d
===================================================================
--- src/gio/UnixFDMessage.d	(revision 843)
+++ src/gio/UnixFDMessage.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gUnixFDMessage = gUnixFDMessage;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gUnixFDMessage = cast(GUnixFDMessage*)obj;
Index: src/gio/DataInputStream.d
===================================================================
--- src/gio/DataInputStream.d	(revision 843)
+++ src/gio/DataInputStream.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gDataInputStream = gDataInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gDataInputStream = cast(GDataInputStream*)obj;
Index: src/gio/FileInputStream.d
===================================================================
--- src/gio/FileInputStream.d	(revision 843)
+++ src/gio/FileInputStream.d	(working copy)
@@ -132,7 +132,7 @@
 		this.gFileInputStream = gFileInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFileInputStream = cast(GFileInputStream*)obj;
Index: src/gio/InputStream.d
===================================================================
--- src/gio/InputStream.d	(revision 843)
+++ src/gio/InputStream.d	(working copy)
@@ -120,7 +120,7 @@
 		this.gInputStream = gInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gInputStream = cast(GInputStream*)obj;
Index: src/gio/InetSocketAddress.d
===================================================================
--- src/gio/InetSocketAddress.d	(revision 843)
+++ src/gio/InetSocketAddress.d	(working copy)
@@ -109,7 +109,7 @@
 		this.gInetSocketAddress = gInetSocketAddress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gInetSocketAddress = cast(GInetSocketAddress*)obj;
Index: src/gio/VolumeMonitor.d
===================================================================
--- src/gio/VolumeMonitor.d	(revision 843)
+++ src/gio/VolumeMonitor.d	(working copy)
@@ -134,7 +134,7 @@
 		this.gVolumeMonitor = gVolumeMonitor;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gVolumeMonitor = cast(GVolumeMonitor*)obj;
Index: src/gio/FilterInputStream.d
===================================================================
--- src/gio/FilterInputStream.d	(revision 843)
+++ src/gio/FilterInputStream.d	(working copy)
@@ -107,7 +107,7 @@
 		this.gFilterInputStream = gFilterInputStream;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gFilterInputStream = cast(GFilterInputStream*)obj;
Index: src/gio/CharsetConverter.d
===================================================================
--- src/gio/CharsetConverter.d	(revision 843)
+++ src/gio/CharsetConverter.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gCharsetConverter = gCharsetConverter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gCharsetConverter = cast(GCharsetConverter*)obj;
Index: src/gio/MountOperation.d
===================================================================
--- src/gio/MountOperation.d	(revision 843)
+++ src/gio/MountOperation.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gMountOperation = gMountOperation;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gMountOperation = cast(GMountOperation*)obj;
Index: src/gio/Cancellable.d
===================================================================
--- src/gio/Cancellable.d	(revision 843)
+++ src/gio/Cancellable.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gCancellable = gCancellable;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gCancellable = cast(GCancellable*)obj;
